import { shallowMount } from "@vue/test-utils";
import StatusMessage from "../../../src/components/LayoutBuilderStatusMessage.vue";

describe("StatusMessage.vue", () => {
  it("typeClass returns a computed string including the given type", () => {
    const type = "type";
    const wrapper = shallowMount(StatusMessage, {
      propsData: {
        message: "foo",
        type
      }
    });

    expect(wrapper.vm.typeClass).toBe(`is-${type}`);
  });
});
