import { shallowMount } from "@vue/test-utils";
import MoveDownButton from "../../../../src/components/buttons/LayoutBuilderMoveDown.vue";

describe("MoveDownButton.vue", () => {
  describe("calling onClick()", () => {
    const wrapper = shallowMount(MoveDownButton);

    it("triggers a moved event when clicking on the component", () => {
      wrapper.trigger("click");
      expect(wrapper.emitted("move")).toBeTruthy();
    });
  });
});
