import { shallowMount } from "@vue/test-utils";
import MoveToBottomButton from "../../../../src/components/buttons/LayoutBuilderMoveToBottom.vue";

describe("MoveToBottomButton.vue", () => {
  describe("calling onClick()", () => {
    const wrapper = shallowMount(MoveToBottomButton);

    it("triggers a moved event when clicking on the component", () => {
      wrapper.trigger("click");
      expect(wrapper.emitted("move")).toBeTruthy();
    });
  });
});
