import App from "../../src/main";

describe("main.js", () => {
  const el = document.createElement("div");
  const stub = jest.fn();
  el.id = "layoutBuilder";
  document.body.appendChild(el);

  describe("calling instance.$options.setElement()", () => {
    it("dispatches editContent with the given data on the store", () => {
      const app = new App(el, {});
      const data = {};
      app.$store.dispatch = stub;
      app.$options.setElement(data);
      expect(stub).toHaveBeenCalledWith("editContent", data);
    });
  });
});
