import { shallowMount } from "@vue/test-utils";
import LayoutBuilder from "../../src/LayoutBuilder.vue";

describe("LayoutBuilder.vue", () => {
  it("renders the PageLayout component", () => {
    const wrapper = shallowMount(LayoutBuilder);
    expect(wrapper.findAll("layoutbuilderpagelayout-stub").length).toBe(1);
  });

  it("renders the PageLayoutForm component", () => {
    const wrapper = shallowMount(LayoutBuilder);
    expect(wrapper.findAll("layoutbuilderpagelayoutform-stub").length).toBe(1);
  });
});
