import { shallowMount } from "@vue/test-utils";
import AddAfterButton from "../../../../src/components/buttons/LayoutBuilderAddAfter.vue";

describe("AddAfterButton.vue", () => {
  describe("calling onClick()", () => {
    const wrapper = shallowMount(AddAfterButton);

    it("triggers a add-element event when clicking on the component", () => {
      wrapper.trigger("click");
      expect(wrapper.emitted("add-element")).toBeTruthy();
    });
  });
});
