import { shallowMount } from "@vue/test-utils";
import AddBeforeButton from "../../../../src/components/buttons/LayoutBuilderAddBefore.vue";

describe("AddBeforeButton.vue", () => {
  describe("calling onClick()", () => {
    const wrapper = shallowMount(AddBeforeButton);

    it("triggers a add-element event when clicking on the component", () => {
      wrapper.trigger("click");
      expect(wrapper.emitted("add-element")).toBeTruthy();
    });
  });
});
