import { shallowMount } from "@vue/test-utils";
import DeleteButton from "../../../../src/components/buttons/LayoutBuilderDelete.vue";

describe("DeleteButton.vue", () => {
  describe("calling onClick()", () => {
    const wrapper = shallowMount(DeleteButton);

    it("triggers a deleted event when clicking on the component", () => {
      wrapper.trigger("click");
      expect(wrapper.emitted("delete")).toBeTruthy();
    });
  });
});
