import { shallowMount } from "@vue/test-utils";
import EditButton from "../../../../src/components/buttons/LayoutBuilderEdit.vue";

describe("EditButton.vue", () => {
  describe("calling onClick()", () => {
    const wrapper = shallowMount(EditButton);

    it("triggers a edited event when clicking on the component", () => {
      wrapper.trigger("click");
      expect(wrapper.emitted("edit")).toBeTruthy();
    });
  });
});
