import { shallowMount } from "@vue/test-utils";
import MoveToTopButton from "../../../../src/components/buttons/LayoutBuilderMoveToTop.vue";

describe("MoveToTopButton.vue", () => {
  describe("calling onClick()", () => {
    const wrapper = shallowMount(MoveToTopButton);

    it("triggers a moved event when clicking on the component", () => {
      wrapper.trigger("click");
      expect(wrapper.emitted("move")).toBeTruthy();
    });
  });
});
