import { shallowMount } from "@vue/test-utils";
import MoveUpButton from "../../../../src/components/buttons/LayoutBuilderMoveUp.vue";

describe("MoveUpButton.vue", () => {
  describe("calling onClick()", () => {
    const wrapper = shallowMount(MoveUpButton);

    it("triggers a moved event when clicking on the component", () => {
      wrapper.trigger("click");
      expect(wrapper.emitted("move")).toBeTruthy();
    });
  });
});
